petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPMatRegisterAll

Registers all matrix implementations in the KSP package.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMatRegisterAll()

Not Collective

### Keywords

Mat, KSP, register, all

### See Also

MatRegisterAll(), KSPInitializePackage()

Level:advanced
Location:src/ksp/ksp/utils/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages